package com.fjhx.oa.service.work;

import com.fjhx.oa.entity.work.po.WorkTasks;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.work.vo.WorkTasksVo;
import com.fjhx.oa.entity.work.dto.WorkTasksSelectDto;
import com.fjhx.oa.entity.work.dto.WorkTasksDto;


/**
 * <p>
 * 工作任务 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface WorkTasksService extends BaseService<WorkTasks> {

    /**
     * 工作任务分页
     */
    Page<WorkTasksVo> getPage(WorkTasksSelectDto dto);

    /**
     * 工作任务明细
     */
    WorkTasksVo detail(Long id);

    /**
     * 工作任务新增
     */
    void add(WorkTasksDto workTasksDto);

    /**
     * 工作任务编辑
     */
    void edit(WorkTasksDto workTasksDto);

    /**
     * 工作任务删除
     */
    void delete(Long id);

}
